{{- define "lib.config.files" -}}
{{- range $k, $v := .Values.files }}
{{- $customName := printf "%s-%s" (include "chart.fullname" $) $k }}
---
apiVersion: v1
{{- if not $v.sensitive }}
kind: ConfigMap
{{- include "lib.metadata" (dict "Context" $ "customName" $customName)}}
data:
{{- else }}
kind: Secret
{{- include "lib.metadata" (dict "Context" $ "customName" $customName)}}
stringData:
{{- end }}
{{- with $v.data }}
{{ toYaml . | indent 2}}
{{- end }}
{{- end }}
{{- end -}}

