{{- define "lib.traefik.ingress_route_tcp" -}}
{{- range $k, $v := .Values.traefik.tcpRoutes }}
{{- $customName := printf "%s-%s" (include "chart.fullname" $) $k }}
---
{{- if $.Capabilities.APIVersions.Has "traefik.io/v1alpha1/IngressRouteTCP" }}
apiVersion: traefik.io/v1alpha1
kind: IngressRouteTCP
{{- include "lib.metadata" (dict "Context" $ "customName" $customName)}}
spec:
{{ tpl ($v | toYaml | indent 2 | toString) $  }}
{{- end }}
{{- end }}
{{- end -}}
